//: [Previous](@previous)


import Cocoa
import PlaygroundSupport
import Charts

let r = CGRect(x: 0, y: 0, width: 600, height: 600)
//var chartView = BarChartView(frame: r)
/*:---*/

// Do any additional setup after loading the view.

let months = ["Jan", "Feb", "Mar", "Apr", "May", "Jun"]
let unitsSold = [20.0, 4.0, 6.0, 3.0, 12.0, 16.0]





    
    let values: [Double] = [8, 104, 81, 93, 52, 44, 97, 101, 75, 28,
                            76, 25, 20, 13, 52, 44, 57, 23, 45, 91,
                            99, 14, 84, 48, 40, 71, 106, 41, 45, 61]
    
    var entries: [ChartDataEntry] = Array()
    
    for (i, value) in values.enumerated()
    {
        entries.append(ChartDataEntry(x: Double(i), y: value))
    }
    
    var dataSet = LineChartDataSet(values: entries, label: "First unit test data")
    dataSet.drawIconsEnabled = false
    dataSet.iconsOffset = CGPoint(x: 0, y: 20.0)
    
    var chartView = LineChartView(frame: CGRect(x: 50, y: 0, width: 600, height: 350))
    chartView.backgroundColor = .white
    
    chartView.data = LineChartData(dataSet: dataSet)
    chartView.leftAxis.forceLabelsEnabled = true;
    chartView.leftAxis.axisLineColor = .green
    chartView.leftAxis.xOffset = 40
    chartView.leftAxis.labelTextColor = .black
    chartView.leftAxis.drawLabelsEnabled = true;
    chartView.rightAxis.drawLabelsEnabled = true;
    
    print("count \(chartView.xAxis.labelCount)")
    print("count \(chartView.leftAxis.labelCount)")

PlaygroundPage.current.liveView = chartView
//: [Next](@next)
