//: [Previous](@previous)

import Cocoa
import Charts
import PlaygroundSupport

let bounds = CGRect(x: 0, y: 0, width: 400, height: 200)
let view = NSView(frame: bounds)
//view.backgroundColor = NSColor.lightGray


let textLayer = CATextLayer()

textLayer.frame = view.bounds
//textLayer.rasterizationScale = NSScreen.mainScreen().scale
textLayer.contentsScale = NSScreen.mainScreen().scale

textLayer.alignmentMode = kCAAlignmentCenter
textLayer.fontSize = 42.0
textLayer.font = NSFont(name: "TrebuchetMS-Bold", size: 42.0)
textLayer.isWrapped = true
textLayer.truncationMode = kCATruncationEnd


textLayer.string = "Little Bites of Cocoa"


//view.layer!.mask = textLayer

//m_LineChart.notifyDataSetChanged()

PlaygroundPage.current.liveView = view



