//: [Previous](@previous)

import Cocoa
import Charts
import PlaygroundSupport



let myString = "P is for Pizza and Pizza is for me"


let myMutableString = NSMutableAttributedString(
    string: myString,
    attributes: [NSAttributedStringKey.font:NSFont( name: "Georgia", size: 18.0)!])
//Add more attributes here


myMutableString.addAttribute(NSAttributedStringKey.font,
                             value: NSFont( name: "Chalkduster", size: 24.0)!,
                             range: NSRange( location: 9,  length: 5))

 //: Make a big blue P

//myMutableString.addAttribute(NSFontAttributeName,
                            
    myMutableString.addAttribute( NSAttributedStringKey.font,
        value: NSFont( name: "AmericanTypewriter-Bold", size: 36.0)!,
        range: NSRange( location:0, length:1))
    
    myMutableString.addAttribute( NSAttributedStringKey.foregroundColor,
        value: NSColor.blue,
        range: NSRange( location:0, length:1))

myMutableString.addAttribute(
    NSAttributedStringKey.font,
    value: NSFont( name: "Helvetica Neue", size: 36.0)!,
    range: NSRange( location: 19, length: 5))

myMutableString.addAttribute(
    NSAttributedStringKey.strokeColor,
    value: NSColor.red,
    range:  NSRange( location: 19, length: 5))

myMutableString.addAttribute(
    NSAttributedStringKey.strokeWidth,
    value: 4,
    range: NSRange( location: 19, length: 5))

let  stringLength = myString.characters.count

/*myMutableString.addAttribute(
   NSBackgroundColorAttributeName,
    value: NSColor.magenta,
    range: NSRange(
        location: 0,
        length: stringLength))*/

//: Add a drop shadow to the text
//: Add a Drop Shadow

//: Make the Drop Shadow
let shadow = NSShadow()
shadow.shadowOffset = CGSize(width: 5, height: 5)
shadow.shadowBlurRadius = 5
shadow.shadowColor = NSColor.gray

myMutableString.addAttribute(
    NSAttributedStringKey.shadow,
    value: shadow,
    range: NSRange( location: 27, length: 7))

//:Change to 48 point Menlo
myMutableString.addAttribute(
    NSAttributedStringKey.font , value:  NSFont( name: "Menlo", size: 48.0)!,
    range: NSRange( location: 27, length: 7))

//: Appending the String with !!! and an Attributed String
let myAddedStringAttributes : [String:AnyObject]? = [
    NSAttributedStringKey.font : NSFont( name: "AvenirNext-Heavy", size: 48.0)!,
    NSForegroundColorAttributeName : NSColor.red,
    NSShadowAttributeName: shadow ]

let myAddedString = NSAttributedString(string: "!!!", attributes: myAddedStringAttributes)
myMutableString.append(myAddedString)


